Package com.xebialabs.xlrelease.domain.runner

# Class RunnerAuditRecord$

java.lang.Object
scala.runtime.AbstractFunction6<Object,String,RunnerAuditEventType,String,Date,String,RunnerAuditRecord>
com.xebialabs.xlrelease.domain.runner.RunnerAuditRecord$

All Implemented Interfaces:
  `Serializable`, `scala.Function6<Object,String,RunnerAuditEventType,String,Date,String,RunnerAuditRecord>`

public class RunnerAuditRecord$ extends scala.runtime.AbstractFunction6<Object,String,RunnerAuditEventType,String,Date,String,RunnerAuditRecord> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RunnerAuditRecord$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunnerAuditRecord$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RunnerAuditRecord`
  `apply(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple6<Object,String,RunnerAuditEventType,String,Date,String>>`
  `unapply(RunnerAuditRecord x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction6

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function6

  `apply`

- ## Field Details

  - ### MODULE$

    public static final RunnerAuditRecord$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### RunnerAuditRecord$

    public RunnerAuditRecord$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function6<Object,String,RunnerAuditEventType,String,Date,String,RunnerAuditRecord>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction6<Object,String,RunnerAuditEventType,String,Date,String,RunnerAuditRecord>`

  - ### apply

    public RunnerAuditRecord apply(long id, String runnerId, RunnerAuditEventType eventType, String changedBy, Date eventTime, String contentJson)

  - ### unapply

    public scala.Option<scala.Tuple6<Object,String,RunnerAuditEventType,String,Date,String>> unapply(RunnerAuditRecord x$0)